org.keycloak.protocol.saml

## Class SALM2LoginResponseBuilder

- java.lang.Object
- - org.keycloak.protocol.saml.SAML2BindingBuilder<SALM2LoginResponseBuilder>
  - - org.keycloak.protocol.saml.SALM2LoginResponseBuilder

-     public class SALM2LoginResponseBuilder
      extends SAML2BindingBuilder<SALM2LoginResponseBuilder>

  Handles for dealing with SAML2 Authentication

  Configuration Options:
  Author:
    Anil.Saldhana@redhat.com, bburke@redhat.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `SAML2BindingBuilder.PostBindingBuilder, SAML2BindingBuilder.RedirectBindingBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `attributes`
    `protected String` | `authMethod`
    `protected boolean` | `disableAuthnStatement`
    `protected static org.picketlink.common.PicketLinkLogger` | `logger`
    `protected boolean` | `multiValuedRoles`
    `protected String` | `nameId`
    `protected String` | `nameIdFormat`
    `protected String` | `requestID`
    `protected String` | `requestIssuer`
    `protected List<String>` | `roles`

    - ### Fields inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `destination, encrypt, encryptionAlgorithm, encryptionKeySize, encryptionPublicKey, relayState, responseIssuer, sign, signAssertions, signatureAlgorithm, signingCertificate, signingKeyPair`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SALM2LoginResponseBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SALM2LoginResponseBuilder` | `attribute(String name, Object value)`
    `SALM2LoginResponseBuilder` | `attributes(Map<String,Object> attributes)`
    `SALM2LoginResponseBuilder` | `authMethod(String authMethod)`
    `Document` | `buildDocument()`
    `SALM2LoginResponseBuilder` | `disableAuthnStatement(boolean disableAuthnStatement)`
    `SALM2LoginResponseBuilder` | `multiValuedRoles(boolean multiValuedRoles)`
    `SALM2LoginResponseBuilder` | `nameIdentifier(String nameIdFormat, String nameId)`
    `SAML2BindingBuilder.PostBindingBuilder` | `postBinding()`
    `SAML2BindingBuilder.RedirectBindingBuilder` | `redirectBinding()`
    `SALM2LoginResponseBuilder` | `requestID(String requestID)`
    `SALM2LoginResponseBuilder` | `requestIssuer(String requestIssuer)`
    `SALM2LoginResponseBuilder` | `roles(List<String> roles)`
    `SALM2LoginResponseBuilder` | `roles(String... roles)`

    - ### Methods inherited from class org.keycloak.protocol.saml.SAML2BindingBuilder

      `base64Encoded, buildHtml, buildHtmlPostResponse, buildResponse, destination, encrypt, encryptDocument, encryptionAlgorithm, encryptionKeySize, generateRedirectUri, relayState, responseIssuer, signAssertion, signAssertions, signatureAlgorithm, signDocument, signDocument, signWith, signWith, signWith, signWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.picketlink.common.PicketLinkLogger logger

    - #### roles

          protected List<String> roles

    - #### nameId

          protected String nameId

    - #### nameIdFormat

          protected String nameIdFormat

    - #### multiValuedRoles

          protected boolean multiValuedRoles

    - #### disableAuthnStatement

          protected boolean disableAuthnStatement

    - #### requestID

          protected String requestID

    - #### authMethod

          protected String authMethod

    - #### requestIssuer

          protected String requestIssuer

    - #### attributes

          protected Map<String,Object> attributes

  - ### Constructor Detail

    - #### SALM2LoginResponseBuilder

          public SALM2LoginResponseBuilder()

  - ### Method Detail

    - #### attributes

          public SALM2LoginResponseBuilder attributes(Map<String,Object> attributes)

    - #### attribute

          public SALM2LoginResponseBuilder attribute(String name,
                                            Object value)

    - #### requestID

          public SALM2LoginResponseBuilder requestID(String requestID)

    - #### requestIssuer

          public SALM2LoginResponseBuilder requestIssuer(String requestIssuer)

    - #### roles

          public SALM2LoginResponseBuilder roles(List<String> roles)

    - #### roles

          public SALM2LoginResponseBuilder roles(String... roles)

    - #### authMethod

          public SALM2LoginResponseBuilder authMethod(String authMethod)

    - #### nameIdentifier

          public SALM2LoginResponseBuilder nameIdentifier(String nameIdFormat,
                                                 String nameId)

    - #### multiValuedRoles

          public SALM2LoginResponseBuilder multiValuedRoles(boolean multiValuedRoles)

    - #### disableAuthnStatement

          public SALM2LoginResponseBuilder disableAuthnStatement(boolean disableAuthnStatement)

    - #### redirectBinding

          public SAML2BindingBuilder.RedirectBindingBuilder redirectBinding()
                                                                     throws org.picketlink.common.exceptions.ConfigurationException,
                                                                            org.picketlink.common.exceptions.ProcessingException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`

    - #### postBinding

          public SAML2BindingBuilder.PostBindingBuilder postBinding()
                                                             throws org.picketlink.common.exceptions.ConfigurationException,
                                                                    org.picketlink.common.exceptions.ProcessingException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`

    - #### buildDocument

          public Document buildDocument()
                                 throws org.picketlink.common.exceptions.ConfigurationException,
                                        org.picketlink.common.exceptions.ProcessingException

      Throws:
        `org.picketlink.common.exceptions.ConfigurationException`
        `org.picketlink.common.exceptions.ProcessingException`

Copyright © 2014. All Rights Reserved.